# IAX2IeString Class Reference

`#include <ies.h>`

Inheritance diagram for IAX2IeString:

[legend]
Collaboration diagram for IAX2IeString:
[legend]

## Public Member Functions

construction/destruction
| IAX2IeString (BYTE length, BYTE *srcData)
| IAX2IeString (const PString &newValue)
| IAX2IeString (const char *newValue)
| IAX2IeString ()
Worker methods
virtual BYTE | GetLengthOfData () const
void | PrintOn (ostream &str) const
void | SetData (const PString &newData)
void | SetData (const char *newData)
PString | ReadData ()

## Protected Member Functions

virtual void | WriteBinary (BYTE *data)

## Protected Attributes

PString | dataValue

## Detailed Description

An Information Element that contains an array of characters.

## Constructor & Destructor Documentation

IAX2IeString::IAX2IeString | ( | BYTE | length,
|  | BYTE * | srcData |
| ) |  |  |

Constructor - read data from source array.

Contents are valid if source array is valid.

IAX2IeString::IAX2IeString | ( | const PString & | newValue | ) | `[inline]`

Construct to an initialised value

IAX2IeString::IAX2IeString | ( | const char * | newValue | ) | `[inline]`

Construct to an initialised value

IAX2IeString::IAX2IeString | ( |  | ) | `[inline]`

Constructor to an invalid and empty result

## Member Function Documentation

virtual BYTE IAX2IeString::GetLengthOfData | ( |  | ) | const`[virtual]`

return the number of bytes to hold this data element

Reimplemented from IAX2Ie.

void IAX2IeString::PrintOn | ( | ostream & | str | ) | const`[virtual]`

print this class (nicely) to the designated stream

Reimplemented from IAX2Ie.

Reimplemented in IAX2IeCalledNumber, IAX2IeCallingNumber, IAX2IeCallingAni, IAX2IeCallingName, IAX2IeCalledContext, IAX2IeUserName, IAX2IePassword, IAX2IeLanguage, IAX2IeDnid, IAX2IeChallenge, IAX2IeMd5Result, IAX2IeRsaResult, IAX2IeCause, IAX2IeRdnis, IAX2IeDeviceType, IAX2IeServiceIdent, and IAX2IeEncKey.

PString IAX2IeString::ReadData | ( |  | ) | `[inline]`

Report the value of the stored data for this class

Reimplemented from IAX2Ie.

void IAX2IeString::SetData | ( | const char * | newData | ) |

Take the supplied data and copy contents into this IE

void IAX2IeString::SetData | ( | const PString & | newData | ) |

Take the supplied data and copy contents into this IE

virtual void IAX2IeString::WriteBinary | ( | BYTE * | data | ) | `[protected, virtual]`

Take the data value for this particular IAX2Ie and copy into the memory region.

Reimplemented from IAX2Ie.

## Field Documentation

PString IAX2IeString::dataValue `[protected]`

The actual data stored in a IAX2IeString class

The documentation for this class was generated from the following file:

- ies.h